#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Mon Nov  7 12:45:11 2022

@author: victor
"""

import matplotlib
import numpy as np
import matplotlib.pyplot as plt
import math
import csv, operator
import scipy.stats as st
from numpy import random
import pandas as pd
from datetime import datetime
from pandas import *

matplotlib.pyplot.savefig

#df = df.rename(columns={'oldName1': 'newName1', 'oldName2': 'newName2'})


##Este código Python servirá para analizar los datos correspondientes al WCD Characatito. 
##Existen diferentes terminaciones de archivos que corresponden a datos de análisis distintos.
##Pero todos los archivos comparten el mismo nombre, salvo la terminación.

##Luego de realizar el primer procesamiento de datos (Lo a L1) con ./raw en la terminal, 
##procedemos a estudiar la data adquirida aquí. Las terminaciones de archivos que nos interesan
##son: .rte (pulsos detectados por unidad de tiempo fijada por el usuario), .flx (pulsos detec-
##tados por segundo)

##Los histogramas de carga de los archivos .cal representan el número de conteos registrados
##en cada canal ACD. Se tienen dos picos característicos: El de menor carga se genera por la 
#componente electromagnética (electrones, positrones y gammas) y el de mayor por la 
#componente muónica. Este último es utilizado para la calibración del instrumento (VEM). El VEM 
#(por su siglas en inglés, Vertical Muon Equivalent) es la pérdida de energía que genera 
#un muón vertical al pasar por el WCD.


##PARA MODIFICAR EL NÚMERO DE BINES, OPACIDAD DE LOS HISTOGRAMAS

Bines = 50
Opac = 0.08
Rwidth = 0.80


##--------ANALISIS DATOS "l1_v5_07_29_00h00.cal"--------------------------------------


dfc0000=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_00h00.cal', sep=' ',skiprows=6)
dfc0000.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc0000['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')
plt.title("Histogramas de Carga - WCD Characatito (29/07 al 30/07)")
plt.xlabel("Carga [ADC.bin]")
plt.xticks(np.arange(0, 6000, 500))
plt.axvline(x = 1300, color = 'red', linestyle = '-.')
plt.axvline(x = 1800, color = 'red', linestyle = '-.')
plt.text(2000, 120, '$\leftarrow$ Zona característica del VEM', color = 'red')   
#plt.ylabel("Logaritmo de Conteos registrados")



##-------------ANÁLISIS DATOS "l1_v5_07_29_01h00.cal"---------------------------------


dfc0100=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_01h00.cal', sep=' ',skiprows=6)
dfc0100.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc0100['ch1'].hist(bins = Bines, color = 'red', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_02h00.cal"---------------------------------


dfc0200=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_02h00.cal', sep=' ',skiprows=6)
dfc0200.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc0200['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_03h00.cal"---------------------------------


dfc0300=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_03h00.cal', sep=' ',skiprows=6)
dfc0300.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc0300['ch1'].hist(bins = Bines, color = 'red', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_04h00.cal"---------------------------------


dfc0400=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_04h00.cal', sep=' ',skiprows=6)
dfc0400.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc0400['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_05h00.cal"---------------------------------


dfc0500=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_05h00.cal', sep=' ',skiprows=6)
dfc0500.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc0500['ch1'].hist(bins = Bines, color = 'red', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_06h00.cal"---------------------------------


dfc0600=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_06h00.cal', sep=' ',skiprows=6)
dfc0600.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc0600['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_07h00.cal"---------------------------------


dfc0700=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_07h00.cal', sep=' ',skiprows=6)
dfc0700.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc0700['ch1'].hist(bins = Bines, color = 'red', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_08h00.cal"---------------------------------


dfc0800=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_08h00.cal', sep=' ',skiprows=6)
dfc0800.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc0800['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_09h00.cal"---------------------------------


dfc0900=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_09h00.cal', sep=' ',skiprows=6)
dfc0900.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc0900['ch1'].hist(bins = Bines, color = 'red', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_10h00.cal"---------------------------------


dfc1000=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_10h00.cal', sep=' ',skiprows=6)
dfc1000.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc1000['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_11h00.cal"---------------------------------


dfc1100=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_11h00.cal', sep=' ',skiprows=6)
dfc1100.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc1100['ch1'].hist(bins = Bines, color = 'red', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_12h00.cal"---------------------------------


dfc1200=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_12h00.cal', sep=' ',skiprows=6)
dfc1200.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc1200['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')


##--------ANALISIS DATOS "l1_v5_07_29_13h00.cal"--------------------------------------


dfc1300=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_13h00.cal', sep=' ',skiprows=6)
dfc1300.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc1300['ch1'].hist(bins = Bines, color = 'red', alpha = Opac, rwidth = Rwidth)  
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_14h00.cal"---------------------------------


dfc1400=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_14h00.cal', sep=' ',skiprows=6)
dfc1400.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc1400['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth)  
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_15h00.cal"---------------------------------


dfc1500=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_15h00.cal', sep=' ',skiprows=6)
dfc1500.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc1500['ch1'].hist(bins = Bines, color = 'red', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_16h00.cal"---------------------------------


dfc1600=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_16h00.cal', sep=' ',skiprows=6)
dfc1600.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc1600['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth)  
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_17h00.cal"---------------------------------


dfc1700=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_17h00.cal', sep=' ',skiprows=6)
dfc1700.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc1700['ch1'].hist(bins = Bines, color = 'red', alpha = Opac, rwidth = Rwidth)  
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_18h00.cal"---------------------------------


dfc1800=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_18h00.cal', sep=' ',skiprows=6)
dfc1800.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc1800['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth)  
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_19h00.cal"---------------------------------


dfc1900=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_19h00.cal', sep=' ',skiprows=6)
dfc1900.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc1900['ch1'].hist(bins = Bines, color = 'red', alpha = Opac, rwidth = Rwidth)  
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_20h00.cal"---------------------------------


dfc2000=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_20h00.cal', sep=' ',skiprows=6)
dfc2000.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc2000['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_21h00.cal"---------------------------------


dfc2100=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_21h00.cal', sep=' ',skiprows=6)
dfc2100.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc2100['ch1'].hist(bins = Bines, color = 'red', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_22h00.cal"---------------------------------


dfc2200=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_22h00.cal', sep=' ',skiprows=6)
dfc2200.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc2200['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_29_23h00.cal"---------------------------------


dfc2300=pd.read_csv('l1_v5_characatito_nogps_2022_07_29_23h00.cal', sep=' ',skiprows=6)
dfc2300.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc2300['ch1'].hist(bins = Bines, color = 'red', alpha = Opac, rwidth = Rwidth) 
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_30_00h00.cal"---------------------------------


dfc00000=pd.read_csv('l1_v5_characatito_nogps_2022_07_30_00h00.cal', sep=' ',skiprows=6)
dfc00000.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc00000['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth)  
plt.yscale('log')

##-------------ANÁLISIS DATOS "l1_v5_07_30_*.cal"---------------------------------


dfc00000=pd.read_csv('l1_v5_characatito_nogps_2022_07_30_01h00.cal', sep=' ',skiprows=6)
dfc00000.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc00000['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth)  
plt.yscale('log')

dfc00000=pd.read_csv('l1_v5_characatito_nogps_2022_07_30_02h00.cal', sep=' ',skiprows=6)
dfc00000.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc00000['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth)  
plt.yscale('log')

dfc00000=pd.read_csv('l1_v5_characatito_nogps_2022_07_30_03h00.cal', sep=' ',skiprows=6)
dfc00000.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc00000['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth)  
plt.yscale('log')

dfc00000=pd.read_csv('l1_v5_characatito_nogps_2022_07_30_04h00.cal', sep=' ',skiprows=6)
dfc00000.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc00000['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth)  
plt.yscale('log')

dfc00000=pd.read_csv('l1_v5_characatito_nogps_2022_07_30_05h00.cal', sep=' ',skiprows=6)
dfc00000.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc00000['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth)  
plt.yscale('log')

dfc00000=pd.read_csv('l1_v5_characatito_nogps_2022_07_30_06h00.cal', sep=' ',skiprows=6)
dfc00000.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc00000['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth)  
plt.yscale('log')

dfc00000=pd.read_csv('l1_v5_characatito_nogps_2022_07_30_07h00.cal', sep=' ',skiprows=6)
dfc00000.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc00000['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth)  
plt.yscale('log')

dfc00000=pd.read_csv('l1_v5_characatito_nogps_2022_07_30_08h00.cal', sep=' ',skiprows=6)
dfc00000.columns=['ch1','ch2','ch3','pk1', 'pk2','pk3','']


dfc00000['ch1'].hist(bins = Bines, color = 'blue', alpha = Opac, rwidth = Rwidth)  
plt.yscale('log')

plt.savefig("superposicion.png", dpi=300)